Loading...
Searching...
No Matches
PstVector< T >::Allocator Class Reference

`#include <PstVector.h>`

## Public Member Functions
PstVector< T >::pointer | allocate (typename PstVector< T >::size_type num)
void | construct (typename PstVector< T >::pointer p)
template<class... A>
void | construct (typename PstVector< T >::pointer p, A &... arg)
void | construct (typename PstVector< T >::pointer p, T &&data)
void | destroy (typename PstVector< T >::pointer p)
void | deallocate (typename PstVector< T >::pointer p)

## Detailed Description

template<typename T>
class PSTech::Utils::PstVector< T >::Allocator

Get a const reference to the item stored at position `índex' in the PstVector. */ const_reference operator [] (size_type index) const;

/** Get a reference to the item stored at position `índex' in the PstVector. */ reference operator [] (size_type index);

private: /** Simple basic allocator class to allocate and construct vector items.

## Member Function Documentation

## ◆ allocate()

template<typename T>

PstVector< T >::pointer allocate | ( | typename PstVector< T >::size_type | num | ) |

Allocate but don't initialize num elements of type T

## ◆ construct() [1/3]

template<typename T>

void construct | ( | typename PstVector< T >::pointer | p | ) |

Initialize elements of allocated storage p using its default constructor

## ◆ construct() [2/3]

template<typename T>
template<class... A>

void construct | ( | typename PstVector< T >::pointer | p,
|  | A &... | arg )

Initialize elements of allocated storage p using constructor with arguments arg

## ◆ construct() [3/3]

template<typename T>

void construct | ( | typename PstVector< T >::pointer | p,
|  | T && | data )

Initialize elements of allocated storage p using the move constructor

## ◆ deallocate()

template<typename T>

void deallocate | ( | typename PstVector< T >::pointer | p | ) |

## ◆ destroy()

template<typename T>

void destroy | ( | typename PstVector< T >::pointer | p | ) |

The documentation for this class was generated from the following file:

- include/PstVector.h